Jack::JackLockAble Class Reference

Base class for "lockable" objects. More...

`#include <JackMutex.h>`

Inheritance diagram for Jack::JackLockAble:

## Public Member Functions

bool | Lock ()
bool | Trylock ()
bool | Unlock ()

## Protected Member Functions

| JackLockAble (const char *name=NULL)

## Protected Attributes

JackMutex | fMutex

## Detailed Description

Base class for "lockable" objects.

Definition at line 36 of file JackMutex.h.

The documentation for this class was generated from the following file:

- JackMutex.h